Subject: Re: bug#50666: 28.0.50; Fix native compilation on Cygwin

From: Eli Zaretskii <[email-masked]>
Date: Thu, 23 Sep 2021 21:46:44 +0300

> From: Achim Gratz <[email-masked]>
> Date: Thu, 23 Sep 2021 20:25:02 +0200
> 
> Eli Zaretskii writes:
> > You mean, ASLR doesn't work with Cygwin because it must use the same
> > address in the forked process?  But then why did Ken say that ASLR and
> > High Entropy could solve the problem with the *.eln files -- isn't
> > that the same problem?
> 
> It is, but on 64bit with the massive address space and high entropy
> using most of it, it will often "just work" for quite some time.

I understand that it might "just work" wrt collisions, but what about
the requirement that the DLL be loaded at the same address in the
forked child?  Doesn't ASLR randomize the base address each time a DLL
is loaded?